Subject: Re: bug#35589: Scribus and GIMP: Clipped, non-resizable windows and pixelated icons

From: Chris Marusich <[email-masked]>
Date: Wed, 08 May 2019 00:09:40 -0700

sirgazil <[email-masked]> writes:

> Thanks, Chris. I would need precise instruction on how to create a VM
> with the same characteristics you used, including an example
> config. My system config was pretty much created by the graphical
> installer.

What is the output of "guix describe"?  This will tell me the exact
version you're using, so I can reproduce your environment more
accurately.

Can you share with me your operating system configuration file?  If you
aren't comfortable sharing it publicly, you can email it privately to
me.  I can then help you come up with a version of the file that might
work in a VM, so we can try to reproduce the issue.

> By the way, every time I run GIMP from a terminal, I see these warning
> and error:
>
> ##########
> $ LANG=en_US.utf-8 gimp
>
> (gimp:1734): Gtk-WARNING **: 11:49:30.835: Unable to locate theme engine in module_path: "adwaita",
>
> (gimp:1734): Gtk-WARNING **: 11:49:30.838: Unable to locate theme engine in module_path: "adwaita",
> GIMP-Warning: Bad interpreter referenced in interpreter file /gnu/store/skzfv3sndly29wdf6zs3qyjzvlhy8fv1-gimp-2.10.10/lib/gimp/2.0/interpreters/pygimp.interp: python2
>
> GIMP-Warning: Bad binary format string in interpreter file /gnu/store/skzfv3sndly29wdf6zs3qyjzvlhy8fv1-gimp-2.10.10/lib/gimp/2.0/interpreters/pygimp.interp
>
> GIMP-Error: Unable to run plug-in "spyro_plus.py"
> (/gnu/store/skzfv3sndly29wdf6zs3qyjzvlhy8fv1-gimp-2.10.10/lib/gimp/2.0/plug-ins/spyro_plus/spyro_plus.py)
>
> Failed to execute child process “/gnu/store/skzfv3sndly29wdf6zs3qyjzvlhy8fv1-gimp-2.10.10/lib/gimp/2.0/plug-ins/spyro_plus/spyro_plus.py” (Exec format error)
> ##########

I see similar messages when I launch gimp.  I don't know what they mean,
but I wouldn't be too concerned about them for now.  Let's maybe return
to them after we've reproduced the issue in a VM, first.

> And every time I run Scribus from a terminal, I see this:
>
>     pathForIcon: Unable to load icon /gnu/store/5xqmac50axcgc8vrrn30jvzndjvrqd6a-scribus-1.5.4/share/scribus/icons/1_5_1/zeichen.png: File not found

I see the exact same error message, so I'm not sure it's a problem.

In short, I think if we can reproduce the issue in a VM, it will be much
easier to debug.

-- 
Chris